<%= form_with(model: issue, local: true) do |form| %>
  <% if issue.errors.any? %>
    <div class="alert alert-danger">
      <h2><%= pluralize(issue.errors.count, "error") %> prohibited this issue from being saved:</h2>

      <ul class="mb-0">
        <% issue.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="form-group row">
    <%= form.label :project_id, class: 'col-sm-2 col-form-label' %>
    <div class="col-sm-10">
      <% if @issue.id != nil %>
        <input type="text" readonly class="form-control-plaintext" id="issue_project_id" value="<%= @issue.project.name %>">
      <% else %>
        <%= form.select :project_id, @available_projects, {prompt: '-- Select project --'}, class: 'form-control' %>
      <% end %>
    </div>
  </div>

  <div class="form-group row">
    <%= form.label :name, class: 'col-sm-2 col-form-label' %>
    <div class="col-sm-10">
      <%= form.text_field :name, class: 'form-control' %>
    </div>
  </div>

  <div class="form-group row">
    <%= form.label :description, class: 'col-sm-2 col-form-label' %>
    <div class="col-sm-10">
      <%= form.text_area :description, class: 'form-control' %>
    </div>
  </div>

  <div class="form-group row">
    <%= form.label :issue_type_id, class: 'col-sm-2 col-form-label' %>
    <div class="col-sm-10">
      <%= form.select :issue_type_id, @available_issue_types, {prompt: '-- Select issue type --'}, {class: 'form-control'} %>
    </div>
  </div>

  <div class="form-group row">
    <%= form.label :issue_priority_id, class: 'col-sm-2 col-form-label' %>
    <div class="col-sm-10">
      <%= form.select :issue_priority_id, @available_issue_priorities, {prompt: '-- Select priority --'}, {class: 'form-control'} %>
    </div>
  </div>

  <div class="form-group row">
    <%= form.label :issue_state_id, class: 'col-sm-2 col-form-label' %>
    <div class="col-sm-10">
      <%= form.select :issue_state_id, @available_issue_states, {prompt: '-- Select state --'}, {class: 'form-control'} %>
    </div>
  </div>

  <div class="form-group row">
    <%= form.label :assigned_user_id, class: 'col-sm-2 col-form-label' %>
    <div class="col-sm-10">
      <%= form.select :assigned_user_id, @available_users, { include_blank: '-- not assigned --'}, {class: 'form-control'} %>
    </div>
  </div>

  <div class="form-group row">
    <div class="col-sm-10 offset-sm-2">
      <%= form.submit class: 'btn btn-primary' %>
    </div>
  </div>
<% end %>
